CLS
SCREEN 12
vsync$ = "Enable"
joystick$ = "Disable"
skip$ = "Skip"
frameskip = 0
resoloution = 3
scanlines = 5

b4.main:
CLS
GOTO main

main:
LOCATE 5, 10
PRINT "NeoWal, the NeoRAGE frontend. If you haven't ran runme.exe already go do it"
LOCATE 10, 15
PRINT "[P]ick ROM"
LOCATE 11, 15
PRINT vsync$ + " [V]sync"
LOCATE 12, 15
PRINT joystick$ + " [J]oystick"
LOCATE 13, 15
PRINT "[C]hange resoloution"
LOCATE 14, 15
PRINT "[S]et scanlines"
LOCATE 15, 15
PRINT "[F]rameskip"; frameskip;
LOCATE 16, 15
PRINT skip$ + " Code [A]nalyse"
LOCATE 17, 15
PRINT "[R]un NeoRAGE"
LOCATE 18, 15
PRINT "[E]xit NeoWal"
aa$ = INKEY$
SELECT CASE aa$
        CASE CHR$(97)
                IF skip$ = "Skip" THEN skip$ = "Don't Skip" ELSE skip$ = "Skip"
                GOTO b4.main
        CASE CHR$(102)
                SELECT CASE frameskip
                        CASE 0
                                frameskip = 1
                                GOTO main
                        CASE 1
                                frameskip = 2
                                GOTO main
                        CASE 2
                                frameskip = 3
                                GOTO main
                        CASE 3
                                frameskip = 4
                                GOTO main
                        CASE 4
                                frameskip = 0
                                GOTO main
                END SELECT
        CASE CHR$(118)
                IF vsync$ = "Enable" THEN vsync$ = "Disable" ELSE vsync$ = "Enable"
                GOTO main
        CASE CHR$(106)
                IF joystick$ = "Enable" THEN joystick$ = "Disable" ELSE joystick$ = "Enable"
                GOTO main
        CASE CHR$(112)
                GOTO pick.rom.screen
        CASE CHR$(99)
                GOTO b4.crs
        CASE CHR$(115)
                GOTO b4.sss
        CASE CHR$(114)
                GOTO b4.rn
        CASE CHR$(101)
                GOTO exit.screen
        CASE ELSE
                GOTO main
END SELECT

pick.rom.screen:
CLS
LOCATE 10, 15
INPUT "Enter the name of the folder the ROM is in: ", rom.folder$
LOCATE 11, 15
PRINT "Thank You"
GOTO b4.main

b4.crs:
CLS
GOTO choose.resoloution.screen

choose.resoloution.screen:
LOCATE 10, 15
PRINT "Choose a resoloution:"
LOCATE 12, 15
PRINT "1. VGA Resoloution"
LOCATE 13, 15
PRINT "2. Modex 320x240"
LOCATE 14, 15
PRINT "3. Null"
aa$ = INKEY$
SELECT CASE aa$
        CASE CHR$(49)
                resoloution = 1
                LOCATE 16, 15
                PRINT "Resoloution set to VGA"
                GOTO b4.main
        CASE CHR$(50)
                resoloution = 2
                LOCATE 16, 15
                PRINT "Resoloution set to Modex"
                GOTO b4.main
        CASE CHR$(51)
                resoloution = 0
                LOCATE 16, 15
                PRINT "There is now no resoloution setting"
                GOTO b4.main
        CASE ELSE
                GOTO choose.resoloution.screen
END SELECT

b4.sss:
CLS
GOTO set.scanlines.screen

set.scanlines.screen:
LOCATE 10, 15
PRINT "Choose scanline setting:"
LOCATE 12, 15
PRINT "1. Regular Scanlines"
LOCATE 13, 15
PRINT "2. 25% Thinner Scanlines"
LOCATE 14, 15
PRINT "3. 50% Thinner Scanlines"
LOCATE 15, 15
PRINT "4. No Scanlines"
LOCATE 16, 15
PRINT "5. Null"
aa$ = INKEY$
SELECT CASE aa$
        CASE CHR$(49)
                scanlines = 1
                LOCATE 18, 15
                PRINT "Scanlines set to Regular"
                GOTO b4.main
        CASE CHR$(50)
                scanlines = 2
                LOCATE 18, 15
                PRINT "Scanlines set to 25%"
                GOTO b4.main
        CASE CHR$(51)
                scanlines = 3
                LOCATE 18, 15
                PRINT "Scanlines set to 50%"
                GOTO b4.main
        CASE CHR$(52)
                scanlines = 4
                LOCATE 18, 15
                PRINT "Scanlines set to None"
                GOTO b4.main
        CASE CHR$(53)
                scanlines = 5
                LOCATE 18, 15
                PRINT "There is now no scanlines setting"
                GOTO b4.main
        CASE ELSE
                GOTO set.scanlines.screen
END SELECT

exit.screen:
CLS
LOCATE 1
PRINT "NeoWal 0.1"
LOCATE 10, 15
PRINT "Goodbye!"
END

b4.rn:
CLS
OPEN "C:\neowal.data" FOR INPUT AS #1
INPUT #1, neorage$
CLOSE #1
shell.$ = shell.$ + neorage$ + "neorage"
GOTO rom

rom:
OPEN "C:\neowal.dat" FOR INPUT AS #1
INPUT #1, rom$
CLOSE #1
rom.location$ = rom$ + rom.folder$

shell.$ = shell.$ + " " + rom.location$
GOTO vsync

vsync:
SELECT CASE vsync$
        CASE "Enable"
                shell.$ = shell.$ + ""
                GOTO joystick
        CASE "Disable"
                shell.$ = shell.$ + " -v"
                GOTO joystick
END SELECT

joystick:
SELECT CASE joystick$
        CASE "Enable"
                shell.$ = shell.$ + ""
                GOTO resoloution.
        CASE "Disable"
                shell.$ = shell.$ + " -j"
                GOTO resoloution.
END SELECT

resoloution.:
SELECT CASE resoloution
        CASE 1
                shell.$ = shell.$ + " -vga"
                GOTO scanlines.
        CASE 2
                shell.$ = shell.$ + " -modex"
                GOTO scanlines.
        CASE 3
                shell.$ = shell.$ + ""
                GOTO scanlines.
END SELECT

scanlines.:
SELECT CASE scanlines
        CASE 1
                shell.$ = shell.$ + " -s"
                GOTO frameskip.
        CASE 2
                shell.$ = shell.$ + " -s25"
                GOTO frameskip.
        CASE 3
                shell.$ = shell.$ + " -s50"
                GOTO frameskip.
        CASE 4
                shell.$ = shell.$ + " -s100"
                GOTO frameskip.
        CASE 5
                shell.$ = shell.$ + ""
                GOTO frameskip.
END SELECT

frameskip.:
SELECT CASE frameskip
        CASE 0
                shell.$ = shell.$ + ""
                GOTO skip
        CASE 1
                shell.$ = shell.$ + " -f1"
                GOTO skip
        CASE 2
                shell.$ = shell.$ + " -f2"
                GOTO skip
        CASE 3
                shell.$ = shell.$ + " -f3"
                GOTO skip
        CASE 4
                shell.$ = shell.$ + " -f4"
                GOTO skip
END SELECT

skip:
SELECT CASE skip$
        CASE "Skip"
                shell.$ = shell.$ + ""
                GOTO final
        CASE "Don't Skip"
                shell.$ = shell.$ + " -noanalyse"
                GOTO final
END SELECT

final:
SHELL shell.$
LOCATE 10, 15
PRINT "Thanks for using NeoWal"
LOCATE 11, 15
PRINT "By Jay McCarthy"
LOCATE 12, 16
PRINT "... Wally`98"
LOCATE 13, 16
PRINT "... reuben8998@hotmail.com"


 

